cURL
curl --request POST \ --url https://admin.snagsolutions.io/api/loyalty/multipliers/{multiplierId} \ --header 'Content-Type: application/json' \ --header 'X-API-KEY: <api-key>' \ --data ' { "multiplier": 500.005, "title": "<string>", "description": "<string>" } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "websiteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "multiplier": 500.005, "title": "<string>", "description": "<string>", "externalIdentifier": "<string>", "createdAt": "<string>", "updatedAt": "<string>", "deletedAt": "<string>", "user": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "walletAddress": "<string>" }, "loyaltyRuleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
Update an existing loyalty multiplier.
Body
Schema for updating a loyalty multiplier
0.01 <= x < 1000
200
Schema for loyalty multiplier
Schema for a loyalty multiplier user
Show child attributes
Was this page helpful?